1
Vote

The project type is not supported by this installation.

description

When I open 1-Modularity\Exercise 1\Begin\Prism.Workshop.sln with Visual Studio 2010 Express, I get an error message saying:
 
"
One or more projects in the solution were not loaded correctly.
Please see the Output Window for details.
"
 
and the Output Window says:
 
"The project type is not supported by this installation."
 
I also get this error message when opening some QuickStart examples contained in Prism 4, but not the HelloWorld Example for some reason.
 
Looking at the 1-Modularity\Exercise 1\Begin\Prism.Workshop\Prism.Workshop.csproj file I see:
 
<ProductVersion>8.0.50727</ProductVersion>
 
When I create a project myself, the csproj has another (later) version:
 
<ProductVersion>9.0.30729</ProductVersion>
 
My product info, just in case:
 
Microsoft Visual Studio 2010 : Version 10.0.30319.1 RTMRel
Microsoft .NET Framework : Version 4.0.30319 RTMRel
Installed Version: C# Express
Microsoft Visual C# 2010 01014-169-2560017-70932
Hotfix for Microsoft Visual C# 2010 Express - ENU (KB982218) KB982218
Microsoft XNA Game Studio 4.0 : Build 4.0.20823.0
Security Update for Microsoft Visual C# 2010 Express - ENU (KB2251489) KB2251489

comments

jkerner wrote Oct 15, 2011 at 11:59 AM

Found a solution to my problem:
  • Open the solution with Visual Web Developer 2010 (Express in my case)
  • Install Silverlight for developer
Since I'm only interested in WPF, I didn't expect I would have to use Visual Web Developer at all. Ideally WPF only programmers shouldn't have to install silverlight, it's a bit Trojan Horsy. Visual Studio could also figure out on its own how to open the solution, it has all the information in the project files...

But it's all free, which softens that issue substantially :) Hope this helps other people that encountered the same issue.

wrote Feb 14, 2013 at 2:09 AM